NPM-START(1)

NAME
npm-start - Start a package

  Synopsis

    npm start [-- <args>]

  Description

This runs a predefined command specified in the "start" property of a package's "scripts" object.

If the "scripts" object does not define a "start" property, npm will run node server.js.

Note that this is different from the default node behavior of running the file specified in a package's "main" attribute when evoking with node .

As of npm@2.0.0 https://blog.npmjs.org/post/98131109725/npm-2-0-0, you can use custom arguments when executing scripts. Refer to npm help run-script for more details.

  Example

    {
      "scripts": {
        "start": "node foo.js"
      }
    }

    npm start
    > npm@x.x.x start
    > node foo.js
    (foo.js output would be here)

  See Also

    •   npm help run-script

    •   npm help scripts

    •   npm help test

    •   npm help restart

    •   npm help stop